<?php 
require_once('../modelos/RegistroIngreso.php');

$concepto_ingreso=new RegistroIngreso();

$idcategoria_ingreso=isset($_POST["idcategoria_ingreso"])? limpiarCadena($_POST["idcategoria_ingreso"]):"";
$idconcepto_ingreso=isset($_POST["idconcepto_ingreso"])? limpiarCadena($_POST["idconcepto_ingreso"]):"";
$tipo_trabajo=isset($_POST["tipo_trabajo"])? limpiarCadena($_POST["tipo_trabajo"]):"";
$descripcion=isset($_POST["descripcion"])? limpiarCadena($_POST["descripcion"]):"";
$folio=isset($_POST["folio"])? limpiarCadena($_POST["folio"]):"";
$archivador=isset($_POST["archivador"])? limpiarCadena($_POST["archivador"]):"";
$color=isset($_POST["color"])? limpiarCadena($_POST["color"]):"";
$equivalencia=isset($_POST["equivalencia"])? limpiarCadena($_POST["equivalencia"]):"";
$precio=isset($_POST["precio"])? limpiarCadena($_POST["precio"]):"";
$condicion=isset($_POST["condicion"])? limpiarCadena($_POST["condicion"]):"";

switch ($_GET["op"])
{
    case 'guardaryeditar':
      if(empty($idconcepto_ingreso))
      {
        $rspta=$concepto_ingreso->insertar($idcategoria_ingreso,$tipo_trabajo,$descripcion,$folio,$archivador,$color,$equivalencia,$precio,$condicion);
        echo $rspta ? "Registro Ingreso Registrado" : "Registro Ingreso no se pudo registrar";
      }
      else {
          $rspta=$concepto_ingreso->editar($idconcepto_ingreso,$idcategoria_ingreso,$tipo_trabajo,$descripcion,$folio,$archivador,$color,$equivalencia,$precio,$condicion);
          echo $rspta ? "Registro Ingreso Actualizada" : "Registro Ingreso no se pudo actualizar";
      }
    break;

    case 'mostrar':
      $rspta=$concepto_ingreso->mostrar($idconcepto_ingreso);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'eliminar':
      $rspta=$concepto_ingreso->eliminar($idconcepto_ingreso);
       //Codificar el resultado utilizando json
       echo json_encode($rspta);
    break;

    case 'listarregistroingreso':
      $rspta=$concepto_ingreso->listarregistroingreso();
      //Vamos a declarar un array
      $data=Array();
      while($reg=$rspta->fetch_object())
      {
        if(!empty($reg->color)){
            $co='<button class="btn btn" style="background-color: '.$reg->color.';color: #FFFFFF" >'.$reg->color.'</button>';
            }else{
            $co='<button class="btn btn" style="background-color:;color: #00000" >S/C</button>';
            }
            $condicion = ($reg->condicion == 1) 
            ? '<button class="btn btn-success btn-xs btn-flat">Activo</button>' 
            : '<button class="btn btn-danger btn-xs btn-flat">Inactivo</button>';
        $data[]=array(
          "0"=>$reg->nombre,
          "1"=>$reg->tipo_trabajo,
          "2"=>$reg->descripcion,
          "3"=>$reg->archivador,
          "4"=>$reg->folio,
          "5"=>$co,
          "6"=>$reg->equivalencia,
          "7"=>$reg->precio,
          "8"=>$condicion,
          "9"=>'<a href="create.php?idconcepto_ingreso=' . $reg->idconcepto_ingreso . '" class="btn btn-warning btn-xs btn-flat"><i class="fa fa-edit"></i></a>'
            
        );
      }
      $results= array(
        "sEcho"=>1, //Informacion para el datatable
        "iTotalRecords"=>count($data),//Enviamos el total de registtros en el datatable
        "iTotalDisplayRecords"=>count($data),//enviamos el total de registros a visualizar
        "aaData"=>$data);
      echo json_encode($results);

    break;

    case 'selectIngreso': 
      $idcategoria_ingreso=$_REQUEST["idcategoria_ingreso"];
      $rspta = $concepto_ingreso->selectIngreso($idcategoria_ingreso);
      if ($rspta) {
          while ($reg = $rspta->fetch_object()) {
              echo "<option value='" . htmlspecialchars($reg->idconcepto_ingreso, ENT_QUOTES, 'UTF-8') . "'>" . htmlspecialchars($reg->tipo_trabajo, ENT_QUOTES, 'UTF-8') . "</option>";
          }
      } else {
          echo "<option value=''>No hay olt disponibles</option>";
      }
      break;

   

   

    
}
?>